var Button = {
  render: function () {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('button', {
      class: _vm.classes,
      style: _vm.style,
      attrs: {
        "type": "button"
      },
      on: {
        "click": _vm.onClick
      }
    }, [_vm._v(_vm._s(_vm.label))]);
  },
  staticRenderFns: [],
  name: 'my-button',
  props: {
    label: {
      type: String,
      required: true
    },
    primary: {
      type: Boolean,
      default: false
    },
    size: {
      type: String,
      default: 'medium',
      validator: function (value) {
        return ['small', 'medium', 'large'].indexOf(value) !== -1;
      }
    },
    backgroundColor: {
      type: String
    }
  },
  computed: {
    classes() {
      return {
        'storybook-button': true,
        'storybook-button--primary': this.primary,
        'storybook-button--secondary': !this.primary,
        [`storybook-button--${this.size}`]: true
      };
    },

    style() {
      return {
        backgroundColor: this.backgroundColor
      };
    }

  },
  methods: {
    onClick() {
      this.$emit('onClick');
    }

  }
};

var Input = {
  render: function () {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      staticClass: "input-w"
    }, [_c('input', {
      attrs: {
        "type": "text"
      },
      domProps: {
        "value": _vm.localValue
      },
      on: {
        "input": _vm.updateInput
      }
    })]);
  },
  staticRenderFns: [],
  name: 'my-input',
  props: {
    value: {
      type: String,
      default: ''
    }
  },

  data() {
    return {
      localValue: ''
    };
  },

  watch: {
    value: {
      immediate: true,

      handler(v) {
        this.localValue = v;
      }

    }
  },
  computed: {},
  methods: {
    updateInput(e) {
      this.$emit('input', e.target.value);
      this.$emit('changeInput', e.target.value);
    }

  }
};

export { Button, Input };
